View Issue Details

IDProjectCategoryView StatusLast Update
0023476FPCRTLpublic2020-01-21 18:06
Reportercst_zf Assigned ToMarco van de Voort  
PrioritynormalSeveritymajorReproducibilityalways
Status closedResolutionfixed 
Product Version2.6.0 
Fixed in Version3.0.0 
Summary0023476: TCompressionStream.Onprogress is protected, not public as the Wiki says.
Descriptionthis makes the compatibility to Delphi.
TagsNo tags attached.
Fixed in Revision23218
FPCOldBugId
FPCTarget
Attached Files

Activities

cst_zf

2012-12-12 14:44

reporter   ~0064254

a way to hack it but i think it should be fixed as soon as possible.
===========================
unit MyZLib;

{$mode delphi}

interface

uses
  Classes, SysUtils, zstream;

type
  TCompressionStream = class(zstream.TCompressionStream)
  public
    property OnProgress;
  end;

  TDecompressionStream = class(zstream.TDecompressionStream)
  public
    property OnProgress;
  end;

implementation

end.
==============================
{$ifdef FPC}
  zstream, MyZLib,
{$else}
  ZLib,
{$endif}

Marco van de Voort

2012-12-23 20:53

manager   ~0064424

Fixed and put on the 2.6.2 list.

Issue History

Date Modified Username Field Change
2012-12-12 14:42 cst_zf New Issue
2012-12-12 14:44 cst_zf Note Added: 0064254
2012-12-23 20:53 Marco van de Voort Fixed in Revision => 23218
2012-12-23 20:53 Marco van de Voort Status new => resolved
2012-12-23 20:53 Marco van de Voort Fixed in Version => 2.7.1
2012-12-23 20:53 Marco van de Voort Resolution open => fixed
2012-12-23 20:53 Marco van de Voort Assigned To => Marco van de Voort
2012-12-23 20:53 Marco van de Voort Note Added: 0064424
2020-01-21 18:06 Marco van de Voort Status resolved => closed